/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */package org.apache.camel.kafkaconnector.azurestorageblobsink;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelAzurestorageblobsinkSinkConnectorConfig
        extends
            CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_CONF = "camel.kamelet.azure-storage-blob-sink.accountName";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_DOC = "The Azure Storage Blob account name.";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_CONF = "camel.kamelet.azure-storage-blob-sink.containerName";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_DOC = "The Azure Storage Blob container name.";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_CONF = "camel.kamelet.azure-storage-blob-sink.accessKey";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_DOC = "The Azure Storage Blob access key.";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_DEFAULT = null;
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_CONF = "camel.kamelet.azure-storage-blob-sink.operation";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_DOC = "The operation to perform.";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_DEFAULT = "uploadBlockBlob";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_CONF = "camel.kamelet.azure-storage-blob-sink.credentialType";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_DOC = "Determines the credential strategy to adopt. Possible values are SHARED_ACCOUNT_KEY, SHARED_KEY_CREDENTIAL and AZURE_IDENTITY";
    public static final String CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_DEFAULT = "SHARED_ACCOUNT_KEY";

    public CamelAzurestorageblobsinkSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelAzurestorageblobsinkSinkConnectorConfig(
            Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCOUNT_NAME_DOC);
        conf.define(CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CONTAINER_NAME_DOC);
        conf.define(CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_CONF, ConfigDef.Type.PASSWORD, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_ACCESS_KEY_DOC);
        conf.define(CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_OPERATION_DOC);
        conf.define(CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_AZURESTORAGEBLOBSINK_KAMELET_CREDENTIAL_TYPE_DOC);
        return conf;
    }
}